import SR6HumanoidActorData from './humanoid-actor-data.mjs';

export default class SR6PlayerActorData extends SR6HumanoidActorData {
    static defineSchema() {
        const fields = foundry.data.fields;
        return {
            ...super.defineSchema(),
            nuyen:       new fields.NumberField({ initial: 0 }),
            overwatch:   new fields.NumberField({ initial: 0 }),
            karma:       new fields.NumberField({ initial: 0 }),
            karma_total: new fields.NumberField({ initial: 0 }),
            heat:        new fields.NumberField({ initial: 0 }),
            reputation:  new fields.NumberField({ initial: 0 })
        };
    }
}
